Bug 1287728 - discovery_remaster script needs to be part of discovery image rpm or ISO
discovery_remaster script needs to be part of discovery image rpm or ISO
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Image (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: Beta
: --
Assigned To: Lukas Zapletal
Sachin Ghai
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-12-02 09:37 EST by Sachin Ghai
Modified: 2016-07-27 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-27 07:20:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2015-12-02 09:37:23 EST
Description of problem:
we use discovery_remaster script to regenerate an ISO with extra kernel options to perform unattended discovery. This should be part of discovery image ISO

Version-Release number of selected component (if applicable):
Sat 6.1.5 compose2(Satellite-6.1.0-RHEL-7-20151125.0)
discovery image: foreman-discovery-image-3.0.5-2.iso

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 3 Mike McCune 2015-12-04 00:54:17 EST
moving to 6.2
Comment 6 Sachin Ghai 2016-03-16 03:54:55 EDT
Verified with foreman-discovery-image from brew, discovery-remaster script is part of discovery image rpm. 

[root@cloud~]# rpm -qpl foreman-discovery-image-3.1.1-1.el7sat.noarch.rpm
Comment 7 Sachin Ghai 2016-03-29 01:46:12 EDT
Verified with foreman-discovery-image rpm from brew having version:


Moving this to verified.
Comment 8 Bryan Kearney 2016-07-27 07:20:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.